group "CommodityPhysicalOption.model"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | 3 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
(commoditySwap? | commodityForward?), physicalExercise?

Content Model Elements (3):

  commodityForward, commoditySwap, | physicalExercise (in commodityOption)

Known Usage Locations

- In definitions of global complexTypes (1):
  CommodityOption

Annotation
Items specific to financially-settled commodity options.
XML Source (w/o annotations (3); see within schema source)

<xsd:group name="CommodityPhysicalOption.model"> <xsd:sequence> <xsd:choice> <xsd:element fpml-annotation:deprecated="true" fpml-annotation:deprecatedReason="The model could not provide support for a cash settled commodity. Only physically exercised option could be expressed. Instead, commoditySwaption product, ,should be used." minOccurs="0" ref="commoditySwap"/> <!-- open issue: should the underlying product require productType/assetClass? --> <xsd:element minOccurs="0" ref="commodityForward"/> </xsd:choice> <xsd:element minOccurs="0" name="physicalExercise" type="CommodityPhysicalExercise"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 3/3)
commodityForward

  Type: | CommodityForward, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" ref="commodityForward"/>

commoditySwap

  Type: | CommoditySwap, complex content

  DEPRICATED. Defines a commodity swap product.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element fpml-annotation:deprecated="true" fpml-annotation:deprecatedReason="The model could not provide support for a cash settled commodity. Only physically exercised option could be expressed. Instead, commoditySwaption product, ,should be used." minOccurs="0" ref="commoditySwap"/>

physicalExercise

  Type: | CommodityPhysicalExercise, complex content

  The parameters for defining how the commodity option can be exercised into a physical transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="physicalExercise" type="CommodityPhysicalExercise"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.